Get an invoice by ID
https://api.propexo.com/v1/invoices/:invoice_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the invoice
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| GET /api/manager/accounting/bills | Accounting |
1598645The external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| GET /api/manager/accounting/bills | Accounting |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for RENTVINE
nullThe external ID of the vendor from the integration vendor
| Method | Interface |
|---|---|
| GET /api/manager/accounting/bills | Accounting |
13456The external ID of the financial account from the integration vendor
This field will always be null for RENTVINE
nullThe external ID of the cash financial account from the integration vendor
This field will always be null for RENTVINE
nullThe external ID of the AP financial account from the integration vendor
This field will always be null for RENTVINE
nullThe amount due on the invoice, in cents
This field will always be null for RENTVINE
nullThe amount paid on the invoice, in cents
This field will always be null for RENTVINE
nullcustom_data object | nullrequired
The due date associated with the invoice
| Method | Interface |
|---|---|
| GET /api/manager/accounting/bills | Accounting |
2025-01-01T00:00:00.000ZThe deposit amount in cents associated with the invoice
This field will always be null for RENTVINE
nullThe date a discount was issued on invoice
This field will always be null for RENTVINE
nullThe date the invoice was issued
| Method | Interface |
|---|---|
| GET /api/manager/accounting/bills | Accounting |
2025-01-01T00:00:00.000ZThe reference number for the invoice
| Method | Interface |
|---|---|
| GET /api/manager/accounting/bills | Accounting |
123ABC456Notes associated with the invoice
| Method | Interface |
|---|---|
| GET /api/manager/accounting/bills | Accounting |
Cleaning feeThe date the invoice was posted. Some PMS systems only show the month.
This field will always be null for RENTVINE
nullThe month the invoice was posted.
This field will always be null for RENTVINE
nullThe raw post status associated with the invoice
This field will always be null for RENTVINE
nullThe sub total amount of the invoice
This field will always be null for RENTVINE
nullThe amount of the invoice, in cents
This field will always be null for RENTVINE
nullThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the financial account
This field will always be null for RENTVINE
nullThe Propexo unique identifier for the cash financial account
This field will always be null for RENTVINE
nullThe Propexo unique identifier for the ap financial account
This field will always be null for RENTVINE
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RENTVINEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRESMANYARDIYARDI_RESTRENTVINEinvoice_items object[]required
The invoice list items associated with the invoice
This field is not currently hydrated for RENTVINE
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external ID of the financial account from the integration vendor
This field is not currently hydrated for RENTVINE
The external ID of the cash financial account from the integration vendor
This field is not currently hydrated for RENTVINE
The Propexo unique identifier for the invoice
The Propexo unique identifier for the construction job
This field is not currently hydrated for RENTVINE
The amount due on the invoice item, in cents
This field is not currently hydrated for RENTVINE
10000Notes associated with the invoice item
This field is not currently hydrated for RENTVINE
The amount of the invoice item, in cents
This field is not currently hydrated for RENTVINE
100000The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the financial account
This field is not currently hydrated for RENTVINE
The Propexo unique identifier for the cash financial account
This field is not currently hydrated for RENTVINE
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/invoices/:invoice_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "1598645",
"x_property_id": "na",
"x_location_id": null,
"x_vendor_id": "13456",
"x_financial_account_id": null,
"x_cash_financial_account_id": null,
"x_ap_financial_account_id": null,
"amount_due_in_cents": null,
"amount_paid_in_cents": null,
"custom_data": "Unknown Type: object,null",
"due_date": "2025-01-01T00:00:00.000Z",
"discount_amount_in_cents": null,
"discount_date": null,
"invoice_date": "2025-01-01T00:00:00.000Z",
"invoice_number": "123ABC456",
"notes": "Cleaning fee",
"post_date": null,
"post_month": null,
"post_status_raw": null,
"sub_total_amount_in_cents": null,
"total_amount_in_cents": null,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": null,
"cash_financial_account_id": null,
"ap_financial_account_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTVINE",
"invoice_items": [
{
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_gl_account_id": "string",
"x_cash_financial_account_id": "string",
"invoice_id": "string",
"construction_job_id": "string",
"amount_due_in_cents": 10000,
"notes": "string",
"total_amount_in_cents": 100000,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "string",
"cash_financial_account_id": "string"
}
]
}
}